#include "ulib.h"

UL_IMAGE *ulLoadImageFilePNG(const char *fileName, int fileSize, int location, int pixelFormat)			{
	VIRTUAL_FILE *f;
	UL_IMAGE *img = NULL;
	
	//Si aucune source n'est slectionne, on prend la dernire
	if (ul_loadUtilActiveSource == -1)
		ul_loadUtilActiveSource = VirtualFileSourcesNb - 1;
	
	//Charge un fichier PNG
	f = VirtualFileOpen((void*)fileName, fileSize, ul_loadUtilActiveSource, VF_O_READ);
	if (f)			{
		img = ulLoadImagePNG(f, location, pixelFormat);
		VirtualFileClose(f);
	}
	return img;
}

